PDA

View Full Version : [ubuntu] Error when upgrading



redshoes702
May 10th, 2010, 09:17 AM
I tried to upgrade to 10.04, but did not succeed. Error: You have held broken packages. Can anyone tell me how to solve this problem?

mrgs
May 10th, 2010, 01:32 PM
It is very likely that a clean install would solve the problem.

Otherwise you could try the following on a newly booted machine:


sudo apt-get clean

sudo apt-get update

sudo apt-get upgrade

kansasnoob
May 10th, 2010, 02:06 PM
It would be helpful to see any terminal output of:


sudo apt-get -f install

and also:


sudo dpkg --configure -a